package Koha::Plugin::Com::BibLibre::IntranetDetailHook;

use base qw(Koha::Plugins::Base);
use Koha::Plugins::Tab;

our $VERSION = "0.1";

our $metadata = {
    name            => 'Intranet Detail Hook Plugin',
    author          => 'Matthias Meusburger',
    date_authored   => '2019-06-05',
    date_updated    => "2019-06-05",
    minimum_version => '19.05.00.000',
    maximum_version => undef,
    version         => $VERSION,
    description     => 'This plugin displays example content for the intranet detail tab hook (https://bugs.koha-community.org/bugzilla3/show_bug.cgi?id=23050)'
};

sub new {
    my ( $class, $args ) = @_;

    ## We need to add our metadata here so our base class can access it
    $args->{'metadata'} = $metadata;
    $args->{'metadata'}->{'class'} = $class;

    ## Here, we call the 'new' method for our base class
    ## This runs some additional magic and checking
    ## and returns our actual $self
    my $self = $class->SUPER::new($args);

    $self->{cgi} = CGI->new();

    return $self;
}

sub intranet_catalog_biblio_tab {
    my ( $self, $args ) = @_;
    my $cgi = $self->{'cgi'};

	my @tabs;

    push @tabs,
      Koha::Plugins::Tab->new(
        {
            title   => 'Tab 1',
            content => 'This is content for tab 1'
        }
      );

    push @tabs,
      Koha::Plugins::Tab->new(
        {
            title   => 'Tab 2',
            content => 'This is content for tab 2'
        }
      );

    return @tabs;
}
